#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pysqlite

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Python bindings for sqlite.
Name:		python%{PVER}-%{original_name}
Version:	2.5.5
Release:	2
License:	GNU/GPL
URL:		http://%{original_name}.org/
Group:		Development/Libraries
Source0:	http://initd.org/pub/software/%{original_name}/releases/1.1/%{version}/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	sqlite-devel
Provides:	python-%{original_name} = %{version}-%{release}
Provides:	python-sqlite = %{version}-%{release}
Obsoletes:	pysqlite2 <= %{version}-%{release}
Obsoletes:	python-sqlite <= %{version}-%{release}
Obsoletes:	python25-pysqlite <= %{version}-%{release}

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%prep
%setup -q -n %{original_name}-%{version}
rm -f doc/rest/.*swp

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

rm -Rf $RPM_BUILD_ROOT%_prefix/%{original_name}2-doc
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-, root, root, 0755)
%doc doc/* LICENSE PKG-INFO
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.5.5-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.5.5-1
- Version update, build against python25-2.5.4-3
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-2
- rebuilt against python 2.5
* Sun Jun 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.7-1
- Initial Release
